Bug 31762 - Can't compile kernel using 7.0
Can't compile kernel using 7.0
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-03-13 23:56 EST by John Eldred
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-13 23:56:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Eldred 2001-03-13 23:56:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.16-22 i586)

Have never had trouble compiling the kernel before - now under 7.0 I can
not compile.

Reproducible: Always
Steps to Reproduce:
1. Install 7.0.
2. Install kernel-source rpm
3. cd /usr/src/linux
4. make menuconfig, don't change anything, just select exit and click "Yes"
to save configuration. I.E. Vanilla configuration.
5. make dep
6. make bzImage

Actual Results:  This is the end of the compile output...

make -C  arch/i386/lib
make[1]: Entering directory `/usr/src/linux-2.2.16/arch/i386/lib'
make all_targets
make[2]: Entering directory `/usr/src/linux-2.2.16/arch/i386/lib'
gcc -D__KERNEL__ -I/usr/src/linux/include -D__ASSEMBLY__  -traditional -c
checksum.S -o checksum.o
checksum.S:231: badly punctuated parameter list in #define
checksum.S:237: badly punctuated parameter list in #define
make[2]: *** [checksum.o] Error 1
make[2]: Leaving directory `/usr/src/linux-2.2.16/arch/i386/lib'
make[1]: *** [first_rule] Error 2
make[1]: Leaving directory `/usr/src/linux-2.2.16/arch/i386/lib'
make: *** [_dir_arch/i386/lib] Error 2

Expected Results:  Expected compile to work.
Comment 1 Bill Nottingham 2001-03-14 14:43:31 EST
For the 2.2 kernel, you need to use 'kgcc'; also, make sure that you
run 'make mrproper' first.

Note You need to log in before you can comment on or make changes to this bug.